#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
const int N = 1e6 + 12, INF = 1e18 + 7;
vector<int> solve(vector<int> A) {
	vector<int>res;
	int ok = (int)A.size() / 2;
	int st = 0;
	ok -= 1;
	while(ok > 0){
		ok -= 1;
		res.push_back(st);
		st += 1;
	}
	res.push_back((int)A.size() - 1);
	for(int i = st; i < (int)A.size() - 1; ++i){
		res.push_back(st);
	}
	return res;
}
